Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.CORBA.typecode
Class TypeCodeBase

    java.lang.Object
      |
      +--org.omg.CORBA.TypeCode
            |
            +--org.openorb.CORBA.typecode.TypeCodeBase

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

Direct Known Subclasses:
  TypeCodeAlias, TypeCodeArray, TypeCodeEnum, TypeCodeFixed, TypeCodeObject, TypeCodePrimitive, TypeCodeString, TypeCodeStruct, TypeCodeUnion, TypeCodeValue

public abstract class TypeCodeBase
extends TypeCode

This base class is inherited by all the type code classes and provides some extra functionality used in the any classes and when constructing the typecode.

Version:
  $Revision: 1.8 $ $Date: 2002/07/19 14:16:57 $
Author:
  Chris Wood
See Also:
  Serialized Form

Constructor Summary
`TypeCodeBase()`

Method Summary
`abstract TypeCodeBase` | `_base_type()`
`static TypeCode` | `_base_type(TypeCode type)`
`abstract boolean` | `_is_compact()`
`boolean` | `equals(java.lang.Object tc)`

Methods inherited from class org.omg.CORBA.TypeCode
`concrete_base_type, content_type, default_index, discriminator_type, equal, equivalent, fixed_digits, fixed_scale, get_compact_typecode, id, kind, length, member_count, member_label, member_name, member_type, member_visibility, name, type_modifier`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeCodeBase

    public TypeCodeBase()

Method Detail

### _base_type

    public abstract TypeCodeBase _base_type()

### _is_compact

    public abstract boolean _is_compact()

### equals

    public boolean equals(java.lang.Object tc)

  Overrides:
    `equals` in class `java.lang.Object`

### _base_type

    public static TypeCode _base_type(TypeCode type)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD